Package ru.bitel.bgbilling.modules.botmanager.common.bean

# Class DialogProcessingWrapper

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.botmanager.common.bean.DialogProcessingWrapper

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class DialogProcessingWrapper extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DialogProcessingWrapper()`
  `DialogProcessingWrapper(String title, String pathToImplClass)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getId()`
  Возвращает id объекта
  `String`
  `getPathToImplClass()`
  `void`
  `setPathToImplClass(String pathToImplClass)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DialogProcessingWrapper

    public DialogProcessingWrapper()

  - ### DialogProcessingWrapper

    public DialogProcessingWrapper(String title, String pathToImplClass)

- ## Method Details

  - ### getPathToImplClass

    public String getPathToImplClass()

  - ### setPathToImplClass

    public void setPathToImplClass(String pathToImplClass)

  - ### getId

    public int getId()
    Description copied from class: `Id`
    Возвращает id объекта
    Specified by:
      `getId` in interface `Idable`
    Specified by:
      `getId` in interface `ListItem`
    Overrides:
      `getId` in class `Id`
    Returns: